soa_struct Struct Reference

`#include <xfrd.h>`

## Data Fields

uint32_t | ttl
uint8_t | mname [MAXDOMAINLEN+2]
uint8_t | rname [MAXDOMAINLEN+2]
uint32_t | serial
uint32_t | refresh
uint32_t | retry
uint32_t | expire
uint32_t | minimum

## Detailed Description

Definition at line 74 of file xfrd.h.

## Field Documentation

## expire

uint32_t soa_struct::expire

Definition at line 85 of file xfrd.h.

Referenced by xfrd_create().

## minimum

uint32_t soa_struct::minimum

Definition at line 86 of file xfrd.h.

Referenced by xfrd_create().

## mname

uint8_t soa_struct::mname[MAXDOMAINLEN+2]

Definition at line 80 of file xfrd.h.

Referenced by xfrd_create().

## refresh

uint32_t soa_struct::refresh

Definition at line 83 of file xfrd.h.

Referenced by xfrd_create(), and xfrd_set_timer_refresh().

## retry

uint32_t soa_struct::retry

Definition at line 84 of file xfrd.h.

Referenced by xfrd_create(), and xfrd_set_timer_retry().

## rname

uint8_t soa_struct::rname[MAXDOMAINLEN+2]

Definition at line 81 of file xfrd.h.

Referenced by xfrd_create().

## serial

uint32_t soa_struct::serial

Definition at line 82 of file xfrd.h.

Referenced by xfrd_create().

## ttl

uint32_t soa_struct::ttl

Definition at line 78 of file xfrd.h.

Referenced by xfrd_create().

The documentation for this struct was generated from the following file:

- src/wire/xfrd.h